from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XPlayer(Protocol):
    def start(self) -> None: ...
    def stop(self) -> None: ...
    def isPlaying(self) -> bool: ...
    def getDuration(self) -> float: ...
    def setMediaTime(self, fTime: float) -> None: ...
    def getMediaTime(self) -> float: ...
    def setPlaybackLoop(self, bSet: bool) -> None: ...
    def isPlaybackLoop(self) -> bool: ...
    def setVolumeDB(self, nDB: int) -> None: ...
    def getVolumeDB(self) -> int: ...
    def setMute(self, bSet: bool) -> None: ...
    def isMute(self) -> bool: ...
    def getPreferredPlayerWindowSize(self) -> Size: ...
    def createPlayerWindow(self, aArguments: sequence< any >) -> XPlayerWindow: ...
    def createFrameGrabber(self) -> XFrameGrabber: ...
